Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 51)
@@ -40,6 +40,25 @@
                 {
                     m_CellSize[wrkCell.Index] = wrkCell.Width;
                 }
+
+                // 経営者は経費の変更ができる
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                    {
+                        btnChangeExpenses.Visible = true;
+                    }
+                }
+                else
+                {
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                    {
+                        btnChangeExpenses.Visible = true;
+                    }
+                }
             }
             catch (Exception ex)
             {
@@ -111,6 +130,36 @@
                 string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
                 if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
 
+                // 増減工事の紐付きデータの場合は親データを取得する
+                string strFluctuationSQL = string.Empty;
+
+                switch (m_ConstructionBaseInfo.TyingFlg)
+                {
+                    case (int)CommonDefine.BaseInfoTyingFlg.Standard:
+                        // 通常データ
+                        break;
+                    case (int)CommonDefine.BaseInfoTyingFlg.Parent:
+                        // 増減親データ
+                        m_FluctuationBaseInfo = m_ConstructionBaseInfo;
+                        break;
+                    case (int)CommonDefine.BaseInfoTyingFlg.Tying:
+                        // 増減子データ
+                        strFluctuationSQL = "SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONLINK";
+                        strFluctuationSQL += string.Format(" WHERE FLUCTUATIONCODE = {0}", m_ConstructionCode);
+                        break;
+                }
+
+                // 対象外は処理しない
+                if (strFluctuationSQL.Length == 0) return true;
+                // 紐付きリンクコードより親コードを取得する
+                ArrayList arList = new ArrayList();
+                if (!cbDB.ExecuteReader(strFluctuationSQL, ref arList)) return false;
+                if (arList.Count == 0) return false;
+                // 親の工事情報を取得する
+                object[] objArray = (object[])arList[0];
+                strSQL = cbDB.CreatePrimarykeyString(CommonMotions.cnvInt(objArray[0]));
+                if (!cbDB.SelectAction(strSQL, ref m_FluctuationBaseInfo)) return false;
+
                 return true;
             }
             catch (Exception ex)
@@ -137,7 +186,7 @@
             {
                 // 工事予算の承認データを取得する
                 int Code = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
-                string strSQL = AppDB.CreatePrimarykeyString(m_ConstructionCode, Code, 1);
+                string strSQL = AppDB.CreatePrimarykeyString(m_ConstructionCode, Code, CommonDefine.s_Default_OrderNo, 1);
                 ProcessApproval AppRec = new ProcessApproval();
                 if (!AppDB.SelectAction(strSQL, ref AppRec)) return false;
 
@@ -260,6 +309,9 @@
             // データ行数
             int DispLineCnt = Enum.GetNames(typeof(CostsRowLine)).Length;
             m_CostsRowCount = new int[DispLineCnt];
+
+            m_DspLabelLocalData = new string[CtrlCnt];
+            Array.Clear(m_DspLabelLocalData, 0, m_DspLabelLocalData.Length);
         }
         #endregion
 
@@ -309,7 +361,6 @@
         /// <returns></returns>
         private bool SetConstructorCode()
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOConstructionBudget cbDB = new IOConstructionBudget();
             try
             {
@@ -327,13 +378,14 @@
                 m_Constructor = m_ConstructionBaseInfo.ConstructionPersonCode;
                 if (m_ApprovalFlg) m_Constructor = cbRec.CreatorCode;
 
-                // 工事担当者のマスタを読み込む
-                strSQL = picDB.CreatePrimarykeyString(m_Constructor);
-                PersonInChargeMaster personRec = new PersonInChargeMaster();
-                picDB.SelectAction(strSQL, ref personRec);
+                // 工事担当者の給与を読み込む
+                double MonthryCost = 0;
+                double YearsCost = 0;
+                // 担当者給与金額取得処理
+                CommonMotions.GetSalaryValue(m_Constructor, ref MonthryCost, ref YearsCost, DateTime.Today);
 
                 // 担当者給与単価セット
-                m_CreatorMonthryCost = (int)(personRec.MonthlySalary * CommonDefine.s_SalaryCorrection);
+                m_CreatorMonthryCost = (int)MonthryCost;
                 if (m_ApprovalFlg) m_CreatorMonthryCost = (int)cbRec.CreatorCosts;
 
                 // ----- 副工事担当者情報
@@ -341,10 +393,10 @@
                 m_SubConstractor = m_ConstructionBaseInfo.ConstrSubPersonCode;
                 if (m_ApprovalFlg) m_SubConstractor = cbRec.AssistantCode;
 
-                // 副工事担当者のマスタを読み込む
-                strSQL = picDB.CreatePrimarykeyString(m_SubConstractor);
-                PersonInChargeMaster subPersonRec = new PersonInChargeMaster();
-                picDB.SelectAction(strSQL, ref subPersonRec);
+                //// 副工事担当者のマスタを読み込む
+                //strSQL = picDB.CreatePrimarykeyString(m_SubConstractor);
+                //PersonInChargeMaster subPersonRec = new PersonInChargeMaster();
+                //picDB.SelectAction(strSQL, ref subPersonRec);
 
                 // 副担当者給与単価セット
                 m_AssistantMonthryCost = CommonDefine.AssistantMonthryCost;
@@ -355,10 +407,10 @@
                 m_Instructor = m_ConstructionBaseInfo.ConstructionInstructor;
                 if (m_ApprovalFlg) m_Instructor = cbRec.InstructorCode;
 
-                // 指導員のマスタを読み込む
-                strSQL = picDB.CreatePrimarykeyString(m_Instructor);
-                PersonInChargeMaster instructorRec = new PersonInChargeMaster();
-                picDB.SelectAction(strSQL, ref instructorRec);
+                //// 指導員のマスタを読み込む
+                //strSQL = picDB.CreatePrimarykeyString(m_Instructor);
+                //PersonInChargeMaster instructorRec = new PersonInChargeMaster();
+                //picDB.SelectAction(strSQL, ref instructorRec);
 
                 // 指導員給与単価セット
                 m_InstructorMonthryCost = CommonDefine.InstructorMonthryCost;
@@ -373,7 +425,6 @@
             }
             finally
             {
-                picDB.close(); picDB = null;
                 cbDB.close(); cbDB = null;
             }
         }
@@ -458,6 +509,7 @@
                 picDB.SelectAction(strSQL, ref personRec);
                 m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName], personRec.PersonName);
+                m_DspLabelLocalData[(int)DspLblCtrlName.CreatorName] = personRec.SealPrintName;
 
                 // 副担当者取得
                 pnlGroup2.Visible = false;
@@ -469,9 +521,10 @@
                     picDB.SelectAction(strSQL, ref subPersonRec);
                     m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName].Text = subPersonRec.PersonName;
                     m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName], subPersonRec.PersonName);
+                    m_DspLabelLocalData[(int)DspLblCtrlName.AssistantName] = subPersonRec.SealPrintName;
                 }
 
-                // 指導員は空らず全日（2016/10/25）
+                // 指導員は変わらず全日（2016/10/25）
                 //pnlGroup3.Visible = false;
                 if (m_Instructor != 0)
                 {
@@ -481,6 +534,7 @@
                     picDB.SelectAction(strSQL, ref instructorRec);
                     m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;
                     m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName], instructorRec.PersonName);
+                    m_DspLabelLocalData[(int)DspLblCtrlName.InstructorName] = instructorRec.SealPrintName;
                 }
 
                 DateTime StDate = m_ConstructionBaseInfo.ConstructionPeriodStart;
@@ -530,13 +584,21 @@
                     radioButton4.Checked = true;
                 }
 
-                // 一般ユーザーは人件費を変更できない
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
-                if (CommonMotions.LoginUserData.SecurityManagement == User)
+                bool bDspEnable = true;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    pnlGroup1.Enabled = false;
-                    pnlGroup2.Enabled = false;
+                    int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                    if (CommonMotions.LoginUserData.SecurityManagement == User) bDspEnable = false;
                 }
+                else
+                {
+                    int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;            // 一般ユーザー
+                    if (CommonMotions.LoginUserSecurity.SecRank == User) bDspEnable = false;
+                }
+                // 一般ユーザーは人件費を変更できない
+                pnlGroup1.Enabled = bDspEnable;
+                pnlGroup2.Enabled = bDspEnable;
                 return true;
             }
             catch (Exception ex)
@@ -729,10 +791,22 @@
                 // 金額入力の制御
                 CurRow.Cells[(int)GridColumn.HopePrice].ReadOnly = false;
                 CurRow.Cells[(int)GridColumn.ExecPrice].ReadOnly = false;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {   // 工事担当者は希望金額のみ入力が可能
-                    CurRow.Cells[(int)GridColumn.ExecPrice].ReadOnly = true;
+
+                // 新セキュリティデータ対応済みかを確認する
+                bool bReadOnly = false;
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                    if (CommonMotions.LoginUserData.SecurityManagement == User) bReadOnly = true;
                 }
+                else
+                {
+                    int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;            // 一般ユーザー
+                    if (CommonMotions.LoginUserSecurity.SecRank == User) bReadOnly = true;
+                }
+                
+                // 工事担当者は希望金額のみ入力が可能
+                CurRow.Cells[(int)GridColumn.ExecPrice].ReadOnly = bReadOnly;
 
             }
             catch (System.Exception ex)
@@ -1071,14 +1145,16 @@
 
                     // 担当者給与経費
                     CreatePayrollCosts(true);
-
-                    // 純利益
-                    CreateNetIncome(true);
                 }
 
+                // 粗利益行計算
+                CreateGrossProfit(false);
+
+                // 純利益計算
+                CreateNetIncome(true);
+
                 // 合計金額
                 CreateAllTotal(true);
-
             }
             catch (Exception ex)
             {
@@ -1255,6 +1331,8 @@
                 // データ編集に関するボタンを非表示にする
                 btnDataEntry.Visible = false;                       // 登録ボタン
                 btnDataDelete.Visible = false;                      // 削除ボタン
+
+                btnChangeExpenses.Visible = false;                  // 経費変更ボタン
             }
             catch (Exception ex)
             {
@@ -1263,6 +1341,39 @@
         }
         #endregion
 
+        #region 参照モード
+        /// <summary>
+        /// 参照モードにして各コントロールへロックをかける
+        /// </summary>
+        private void SeeModeLock()
+        {
+            try
+            {
+                dgvAllDisplay.ReadOnly = true;
+
+                // 各グループボックスを使用禁止にする
+                pnlGroup1.Enabled = false;
+                pnlGroup2.Enabled = false;
+
+                pnlApproval.Visible = false;
+                pnlApprovalButton.Visible = false;
+
+                // 最後にボタンの処理を行う
+                btnApprovalList.Visible = false;
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnLineAdd.Visible = false;
+                btnLineDel.Visible = false;
+                btnChangeExpenses.Visible = false;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 承認者画面表示
         /// <summary>
         /// 承認画面を表示する
@@ -1275,9 +1386,9 @@
                 m_frmAuthorizerList = new FrmApprovalAuthorizerList();
                 // パラメータセット
                 m_frmAuthorizerList.ConstructionCode = m_ConstructionCode;
-                int ProgressComplete = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                m_frmAuthorizerList.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                m_frmAuthorizerList.OrderNo = CommonDefine.s_Default_OrderNo;
 
-                m_frmAuthorizerList.ApprovalCode = ProgressComplete;
                 // 位置設定
                 m_frmAuthorizerList.LocationPoint = new Point(this.Right, this.Top);
 
@@ -1465,6 +1576,8 @@
                     }
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = DetailRec.GroupCount;
+                    RowData[(int)GridColumn.ComponentCode] = DetailRec.ComponentCode;
+                    RowData[(int)GridColumn.ItemCode] = DetailRec.ItemCode;
                     RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
                     RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
                     RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
@@ -1486,6 +1599,8 @@
                     RowData[(int)GridColumn.Negotiation] = s_NegoStr[DetailRec.NegotiateFlg];
 
                     // 行セット
+                    // 工期取得
+                    double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
                     switch (DetailRec.GroupCount)
                     {
                         case (int)FrmConstructionBudget.DataGroup.Expenses:
@@ -1497,15 +1612,27 @@
                             break;
                         case (int)FrmConstructionBudget.DataGroup.PayrollExpenses:
                             // 担当者給与
-                            CreatePayrollCosts(true);
+                            if (DetailRec.EstimatePrice != 0)
+                                RowData[(int)GridColumn.TextName] = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                                                    BetweenTimes.ToString("0.00"),
+                                                                                    (m_CreatorMonthryCost * CommonDefine.s_SalaryCorrection).ToString("#,0"));
+                            CreateDataRow(RowData, false);
                             break;
                         case (int)FrmConstructionBudget.DataGroup.AssistantCosts:
                             // 副担当者給与
-                            CreateAssistantCosts(true);
+                            if (DetailRec.EstimatePrice != 0)
+                                RowData[(int)GridColumn.TextName] = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                                                BetweenTimes.ToString("0.00"),
+                                                                                m_AssistantMonthryCost.ToString("#,0"));
+                            CreateDataRow(RowData, false);
                             break;
                         case (int)FrmConstructionBudget.DataGroup.InstructorCosts:
                             // 指導員給与
-                            CreateInstructorCosts(true);
+                            if (DetailRec.EstimatePrice != 0)
+                                RowData[(int)GridColumn.TextName] = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                                                BetweenTimes.ToString("0.00"),
+                                                                                m_InstructorMonthryCost.ToString("#,0"));
+                            CreateDataRow(RowData, false);
                             break;
                         case (int)FrmConstructionBudget.DataGroup.GrossProfit:
                             // 粗利益行計算
@@ -1627,6 +1754,8 @@
                     RowData[(int)GridColumn.No] = string.Format("{0}-{1}", (int)FrmConstructionBudget.DataGroup.CommonTempCosts, icnt);
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.CommonTempCosts;
+                    RowData[(int)GridColumn.ComponentCode] = DetailRec.ComponentCode;
+                    RowData[(int)GridColumn.ItemCode] = DetailRec.ItemCode;
                     RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
                     RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
                     RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
@@ -1687,6 +1816,8 @@
                     RowData[(int)GridColumn.No] = string.Format("{0}-{1}", (int)FrmConstructionBudget.DataGroup.CommonTempCosts, icnt);
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.CommonTempCosts;
+                    RowData[(int)GridColumn.ComponentCode] = DetailRec.ComponentCode;
+                    RowData[(int)GridColumn.ItemCode] = DetailRec.ItemCode;
                     RowData[(int)GridColumn.ItemName] = DetailRec.ItemName;
                     RowData[(int)GridColumn.CompanyType] = "0";
                     RowData[(int)GridColumn.CompanyCode] = "0";
@@ -1736,22 +1867,30 @@
                 m_CostsRowCount[(int)CostsRowLine.OutSourceCostsLine] = dgvAllDisplay.RowCount - 1;
 
                 // データ読込
-                List<EstimateBudgetDetail> DetailList = new List<EstimateBudgetDetail>();
-                string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" AND GROUPCOUNT = {0} ", (int)GroupName_EstimateBudget.OutSource);
+                //List<EstimateBudgetDetail> DetailList = new List<EstimateBudgetDetail>();
+                ArrayList ArList = new ArrayList();
+                string strSQL = "SELECT A.*, B.COMPANYNAME FROM ESTIMATEBUDGETDETAIL A";
+                strSQL += " LEFT JOIN SUBCONTRACTORMASTER B ON B.COMPANYCODE = A.COMPANYCODE";
+                strSQL += string.Format(" Where A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND A.GROUPCOUNT = {0} ", (int)GroupName_EstimateBudget.OutSource);
 
-                if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
+                if (!DetailDB.ExecuteReader(strSQL, ref ArList)) return false;
 
                 int icnt = 1;
-                foreach (EstimateBudgetDetail DetailRec in DetailList)
+                foreach (object[] objRec in ArList)
                 {
                     object[] RowData = new object[Enum.GetNames(typeof(GridColumn)).Length];
+                    EstimateBudgetDetail DetailRec = new EstimateBudgetDetail();
+                    DetailDB.Reader2Struct(objRec, ref DetailRec);
+                    
                     // データセット
                     RowData[(int)GridColumn.No] = string.Format("{0}-{1}", (int)FrmConstructionBudget.DataGroup.OutSourceCosts, icnt);
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.OutSourceCosts;
+                    RowData[(int)GridColumn.ComponentCode] = DetailRec.ComponentCode;
+                    RowData[(int)GridColumn.ItemCode] = DetailRec.ItemCode;
                     RowData[(int)GridColumn.ItemName] = DetailRec.SecondString;
-                    RowData[(int)GridColumn.CompanyType] = 0;
+                    RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Subconstractor;
                     RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
                     RowData[(int)GridColumn.CompanyName] = DetailRec.FirstString;
                     RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
@@ -1760,6 +1899,13 @@
                     RowData[(int)GridColumn.ExecPrice] = DetailRec.NegotiationPrice.ToString("#,0");
                     RowData[(int)GridColumn.Percent] = CalculattionPercent(DetailRec.NegotiationPrice).ToString("0.00");
 
+                    // データタイプセット
+                    int TypePos = ((int)IOEstimateBudgetDetail.TableColumn.UpdateDate) + 1;
+                    if (CommonMotions.cnvString(objRec[TypePos]).Length != 0)
+                        RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Subconstractor;
+                    else
+                        RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Person;
+
                     // 行セット
                     CreateDataRow(RowData);
                     icnt++;
@@ -1808,7 +1954,6 @@
                 strSQL += " GROUP BY A.COMPANYCODE, A.COMPONENTCODE, A.ITEMCODE, C.COMPANYNAME, A.ITEMNAME, B.PAGETITLE";
                 strSQL += " ORDER BY A.COMPANYCODE, A.COMPONENTCODE";
 
-
                 ArrayList arList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL, ref arList)) return false;
                 int BreakCode = 0;
@@ -1913,7 +2058,7 @@
             RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.OutSourceCosts;
             RowData[(int)GridColumn.ItemName] = ItemName;
             RowData[(int)GridColumn.TextName] = ComponentName;
-            RowData[(int)GridColumn.CompanyType] = 0;
+            RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Subconstractor;
             RowData[(int)GridColumn.CompanyCode] = CompanyCode;
             RowData[(int)GridColumn.CompanyName] = CompanyName;
             RowData[(int)GridColumn.EstimatePrice] = SumaryValue.ToString("#,0");
@@ -1978,6 +2123,8 @@
                     RowData[(int)GridColumn.No] = string.Format("{0}-{1}", (int)FrmConstructionBudget.DataGroup.MyConstruction, icnt);
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.MyConstruction;
+                    RowData[(int)GridColumn.ComponentCode] = DetailRec.ComponentCode;
+                    RowData[(int)GridColumn.ItemCode] = DetailRec.ItemCode;
                     RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
                     RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
                     RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
@@ -2047,6 +2194,8 @@
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.No] = string.Format("{0}-{1}", (int)FrmConstructionBudget.DataGroup.MyConstruction, icnt);
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.MyConstruction;
+                    RowData[(int)GridColumn.ComponentCode] = CommonMotions.cnvInt(wrkrec[3]);
+                    RowData[(int)GridColumn.ItemCode] = CommonMotions.cnvInt(wrkrec[4]);
                     RowData[(int)GridColumn.ItemName] = CommonMotions.cnvString(wrkrec[1]).Trim();
                     RowData[(int)GridColumn.TextName] = CommonMotions.cnvString(wrkrec[5]).Trim();
                     RowData[(int)GridColumn.CompanyType] = "0";
@@ -2356,17 +2505,50 @@
         {
             try
             {
+                // 差分日付
+                // ----- 増減工事のこの場合は期間が同じかのチェックを行う
+                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                {
+                    // 親の期間を取得する
+                    DateTime StDate = m_FluctuationBaseInfo.ConstructionPeriodStart;
+                    DateTime EdDate = m_FluctuationBaseInfo.ConstructionPeriodEnd;
+                    // 期間が同じ場合は処理しない
+                    if (StDate == m_ConstructionBaseInfo.ConstructionPeriodStart && EdDate == m_ConstructionBaseInfo.ConstructionPeriodEnd)
+                    {
+                        //radioButton5.Checked = true;
+                    }
+                    else
+                    {
+                        int dDiffDays = 0;
+                        if (radioButton4.Checked)
+                        {
+                            // 全日時の日付を計算する
+                            dDiffDays = CalcDifferenceDate(m_ConstructionBaseInfo.ConstructionPeriodStart,
+                                                                m_ConstructionBaseInfo.ConstructionPeriodEnd);
+                        }
+                        else if (radioButton6.Checked)
+                        {
+                            dDiffDays = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.A_SalaryDays].Text);
+                        }
+
+                        // 日付をセット
+                        m_DspLabelCtrl[(int)DspLblCtrlName.A_SalaryDays].Text = dDiffDays.ToString("#,0");
+                    }
+                }
+
+                // 受注金額
+                double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
                 // 工期取得
                 double BetweenTimes = 0;
-                // デフォルト項目
-                string ItemString = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.AssistantCosts];
                 // 給与計算
                 double CostsValue = 0;
                 // 工事内容
                 string Content = string.Empty;
+                // 構成比率
+                double AmountConfigRate = 0;
 
                 // 指導員コードの設定           
-                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int CodeType = (int)CommonDefine.CodeDataType.Person;
                 int PersonCode = m_SubConstractor;
 
                 // 設定無時はセットしない
@@ -2377,9 +2559,18 @@
                 {   // ----- 振分
                     // 工期取得
                     BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                    // 給与計算
-                    CostsValue = CommonMotions.cnvRound(CommonDefine.AssistantMonthryCost * BetweenTimes);
-                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.AssistantMonthryCost.ToString("#,0"));
+                    // 着工日
+                    DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
+                    // 完了日
+                    DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
+
+                    // 稼働日数取得
+                    int workingCount = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+                    // 支払い給与計算
+                    CommonMotions.CalcPayValueData(CommonDefine.AssistantMonthryCost, OrdersPrice, workingCount, ref CostsValue, ref AmountConfigRate, false);
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                            BetweenTimes.ToString("0.00"),
+                                            CommonDefine.AssistantMonthryCost.ToString("#,0"));
                 }
                 else if (radioButton5.Checked)
                 {
@@ -2391,9 +2582,12 @@
                     // 日数取得
                     int daycount = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.A_SalaryDays].Text);
                     // 日額給与取得
-                    double daylySalary = CommonMotions.cnvRound(CommonDefine.AssistantMonthryCost / CommonDefine.s_ManHourUnitMonth);
-                    CostsValue = CommonMotions.cnvRound(daylySalary * daycount);
-                    Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
+                    //double daylySalary = CommonMotions.cnvRound(CommonDefine.AssistantMonthryCost / CommonDefine.s_ManHourUnitMonth);
+                    //CostsValue = CommonMotions.cnvRound(daylySalary * daycount);
+                    CommonMotions.CalcPayValueData(CommonDefine.AssistantMonthryCost, OrdersPrice, daycount, ref CostsValue, ref AmountConfigRate, false);
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                            ClsCalendar.cnvMonthFromDays(daycount).ToString("0.00"),
+                                            CommonDefine.AssistantMonthryCost.ToString("#,0"));
                 }
 
                 // 工事内容
@@ -2404,10 +2598,14 @@
                 if (CreateRowLine)
                 {
                     object[] RowData = new object[Enum.GetNames(typeof(GridColumn)).Length];
+                    string title1 = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.AssistantCosts];
+                    string title2 = string.Empty;
+                    if (m_DspLabelLocalData[(int)DspLblCtrlName.AssistantName].Length != 0)
+                        title2 = string.Format("【{0}氏】", m_DspLabelLocalData[(int)DspLblCtrlName.AssistantName]);
                     // データセット
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.AssistantCosts;
-                    RowData[(int)GridColumn.ItemName] = ItemString;
+                    RowData[(int)GridColumn.ItemName] = string.Format("{0}{1}", title1, title2);
                     RowData[(int)GridColumn.TextName] = Content;
                     RowData[(int)GridColumn.CompanyType] = CodeType;
                     RowData[(int)GridColumn.CompanyCode] = PersonCode;
@@ -2437,15 +2635,6 @@
                 CurRow.Cells[(int)GridColumn.HopePrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
-
-                // 粗利益行計算
-                CreateGrossProfit(false);
-
-                // 純利益計算
-                CreateNetIncome(false);
-
-                // 合計計算
-                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
